Package org.eclipse.ui.texteditor

# Class HyperlinkDetectorRegistry

java.lang.Object
org.eclipse.ui.texteditor.HyperlinkDetectorRegistry

public final class HyperlinkDetectorRegistry extends Object
Hyperlink detector registry that manages the detectors contributed by the `org.eclipse.ui.workbench.texteditor.hyperlinkDetectors` extension point for targets contributed by the `org.eclipse.ui.workbench.texteditor.hyperlinkDetectorTargets` extension point.

Since:
  3.3

## Constructor Summary

Constructors
Constructor
Description
`HyperlinkDetectorRegistry()`
Creates a new hyperlink detector registry.
`HyperlinkDetectorRegistry(IPreferenceStore preferenceStore)`
Creates a new hyperlink detector registry that controls hyperlink enablement via the given preference store.

## Method Summary

Modifier and Type
Method
Description
`IHyperlinkDetector[]`
`createHyperlinkDetectors(String targetId, IAdaptable context)`
`HyperlinkDetectorDescriptor[]`
`getHyperlinkDetectorDescriptors()`
Returns all hyperlink detectors contributed to the workbench.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HyperlinkDetectorRegistry

public HyperlinkDetectorRegistry()
Creates a new hyperlink detector registry.

### HyperlinkDetectorRegistry

public HyperlinkDetectorRegistry(IPreferenceStore preferenceStore)
Creates a new hyperlink detector registry that controls hyperlink enablement via the given preference store.

The hyperlink detector id is used as preference key. The value is of type `Boolean` where `false` means that the hyperlink detector is active.

Parameters:
  `preferenceStore` - the preference store to be used

## Method Details

### getHyperlinkDetectorDescriptors

public HyperlinkDetectorDescriptor[] getHyperlinkDetectorDescriptors()
Returns all hyperlink detectors contributed to the workbench.

Returns:
  an array of hyperlink detector descriptors

### createHyperlinkDetectors

public IHyperlinkDetector[] createHyperlinkDetectors(String targetId, IAdaptable context)